Subject: Chinese character set and Ada

From: [email-masked]
Date: 15 Sep 90 18:03:00 GMT

I am working on my graduation software engineering project --
a simplified Chinese computer language compiler.  This compiler will porcess
source code which involves both Chinese character and the standard ASCII
character set.  I am going to write it in Ada, and I am having some problems
with input and output routines for the mixed character set since Chinese use
16 bits and ASCII use 8 bit.  An article that appeared on Ada Letter,
March/April 1990, has helped me a lot.  However, I still have a lot problems.
   As I understand, BISE (Beijing Institute of Systems Engineering) has been
working on mixed character set application softwares with Ada.  What compiler
do they use?  Is that compiler written also in Ada, or in that special
compiler language Chinese design a few years ago.  I use Janus Ada and VAXada,
but they use standard Ada character input and output routines.  So, they cannot
pick up 16 bits unless we define another new character type with the ASCII as
a subset, yet I have problem in instantiating the existing package.  I don't
know how to solve this problem.
   Also, the memory requirement seems to bother me.   I am doing my working
on NCR PC 386 machines with my CC-DOS version 4.0.  Howver, once I boot up
the system and load 2nd degree character deposit, the Janus Ada would not run
because the system by now does not have enough memory to run Janus.  Do I have
to go to machines with greater memory, or there is an easier way?
   I will appreciate if someone can give me some advice on the above
and some other issues.
   I am at the University of Dayton, and my bitnet address is:
              [email-masked]

Thank you very much, Xiexie!